<div class="page">
    <div class="col-md-12 panel panel-default">
        <div class="panel-body" style="padding-bottom: 0;">
            <div class="col-md-12 panel-body text-center">
                <h1 style="font-weight: 400; margin-top: 10px;"> Sistema de Confirmação de Convidados </h1>
            </div>
            <div class="col-md-12 panel-body text-center">
                <h3 style="font-weight: 400; margin-top: 10px;"> Bem vindo! </h3>
            </div>
        </div>
    </div>
    <div class="col-md-12 panel panel-default">
        <div class="panel-body" ng-controller="GuestAccessController as vm">
            <div class="col-sm-4 col-sm-offset-4">
                <form name="vm.formGuestAccess" class="form-horizontal form-validation" ng-submit="vm.submitForm()">
                    <div class="form-group">
                        <div class="text-center" style="margin: 0;">
                            <label> Data do evento </label>
                        </div>
                        <div class="text-center" style="margin: 0;" ng-init="vm.eventDate='' ">
                            <md-datepicker ng-model="vm.eventDate"
                                           id="eventDate"
                                           required
                                           md-placeholder="DD/MM/AAAA"
                                           md-hide-icons="calendar"></md-datepicker>
                        </div>
                    </div>
                    <div class="space"></div>
                    <div class="form-group">
                        <div class=" text-center" style="margin: 0;">
                            <label> Nome exatamente como está no Convite </label>
                        </div>
                        <div class="text-center" style="margin: 0;">
                            <input  id="guestName"
                                    type="text"
                                    class="form-control"
                                    ng-model="vm.guestName"
                                    required>
                        </div>
                    </div>
                    <button type="submit"
                            ui-wave
                            class="btn btn-primary btn-block "
                            data-ng-disabled="!vm.canSubmit()"> <span data-translate="NEXT"></span> </button>
                </form>
                <div ng-hide="!vm.guestConfirmed" class="text-center">
                    <h3> Olá, sua presença já foi confirmada! Obrigado! </h3>
                </div>
                <div ng-hide="!vm.notFound" class="text-center">
                    <h3 style="color: Tomato;"> Ooop's!  Não encontramos seu nome nessa data. </h3>
                </div>
                <div ng-hide="!vm.error" class="text-center">
                    <h3 style="color: Tomato;"> Ooop's!  Aconteceu algum erro. Avise aos Anfitriões, por favor. </h3>
                </div>
            </div>
        </div>
    </div>
</div>